# Generated by Django 4.2.7 on 2023-12-21 23:38

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('myApp', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Hotel',
            fields=[
                ('id_hotel', models.AutoField(primary_key=True, serialize=False)),
                ('nom', models.CharField(max_length=30, unique=True)),
                ('type', models.CharField(max_length=50)),
                ('photo', models.ImageField(upload_to='media')),
                ('ville', models.CharField(max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='Site',
            fields=[
                ('id_site', models.AutoField(primary_key=True, serialize=False)),
                ('nom', models.CharField(max_length=50)),
                ('ville', models.CharField(max_length=20)),
                ('type', models.CharField(max_length=30)),
                ('photo', models.ImageField(upload_to='media')),
            ],
        ),
        migrations.CreateModel(
            name='Guide',
            fields=[
                ('id_guide', models.AutoField(primary_key=True, serialize=False)),
                ('nom', models.CharField(max_length=30)),
                ('age', models.IntegerField()),
                ('tel', models.IntegerField()),
                ('mail', models.EmailField(max_length=254)),
                ('photo', models.ImageField(upload_to='media')),
                ('site_T', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='myApp.site')),
            ],
        ),
    ]
